Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002908TestLinkTest Executepublic2009-10-21 15:382010-08-31 20:28
Reportermaestro 
Assigned Tofman 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.9 Beta 5 
Summary0002908: Cancel button in Import XML Results does not work
DescriptionThe Cancel button in the Import XML Results does not work. I expected the window to close when the button was pressed.

Steps to re-create:
1. Go to Execute section.
2. Choose any test case in the tree view
3. Click on the "Import XML Results" button
4. In the new window click on the "Cancel" button

I expected the window to close at this point but instead the window is reloaded.

The code in resultsImport.tpl for the button is:
<input type="button" name="cancel" value="{lang_get s='btn_cancel'}"
onclick="javascript: location.href=fRoot+'lib/results/resultsImport.php';" />

I think it should be:
<input type="button" name="cancel" value="{lang_get s='btn_cancel'}"
onclick="javascript: window.close();" />

TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE7
PHP Version5.3.0
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0010236)
fman (administrator)
2010-06-05 10:33

fixed as suggested by user
(0011167)
fman (administrator)
2010-08-31 20:28

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2009-10-21 15:38 maestro New Issue
2009-10-21 15:38 maestro Browser => IE7
2009-10-21 15:38 maestro PHP Version => 5.3.0
2010-06-05 10:33 fman Note Added: 0010236
2010-06-05 10:33 fman Status new => resolved
2010-06-05 10:33 fman Fixed in Version => 1.9 Beta 5
2010-06-05 10:33 fman Resolution open => fixed
2010-06-05 10:33 fman Assigned To => fman
2010-08-31 20:28 fman Note Added: 0011167
2010-08-31 20:28 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker